import Vue from 'vue'
import App from './App'

import http from './static/js/http.js'
// import http2 from './static/js/http2.js'

import noNone from './static/html/no-none.vue'
import noNoneTwo from './static/html/no-none2.vue'

import httpUpload from './static/js/http-upload.js'

import siteinfo from './siteinfo.js'
Vue.prototype.$siteroot = siteinfo.siteroot

import test from './static/js/test.js'
Vue.prototype.$test = test

import utils from './static/js/utils.js'
Vue.prototype.$utils = utils
 // #ifdef H5
var jweixin = require('@/jweixin-module/lib/index.js');
Vue.prototype.$wx = jweixin 
// #endif
import load from './static/html/load.vue'

import store from './store/index.js'
Vue.prototype.$store = store

Vue.component('loading',load)
Vue.config.productionTip = false
import pageBtmBar from './components/page-btm-bar/page-btm-bar.vue'
Vue.component('page-btm-bar',pageBtmBar)
import VueJsonp from 'vue-jsonp';
Vue.use(VueJsonp);
Vue.prototype.request = http
// Vue.prototype.http2 = http2
Vue.component('no-none',noNone)
Vue.component('no-none-two',noNoneTwo)

Vue.prototype.Upload = httpUpload
App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
